# Method: projects.getContent

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.request_body)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.response_body)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.Content.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects/getContent#try-it)

Gets the content of the script project, including the code source and metadata for each script file.

### HTTP request

`GET https://script.googleapis.com/v1/projects/{scriptId}/content`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |

### Query parameters

| Parameters ||
|---|---|
| `versionNumber` | `integer` The version number of the project to retrieve. If not provided, the project's HEAD version is returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
The Content resource.

| JSON representation |
|---|
| ``` { "scriptId": string, "files": [ { object (`https://developers.google.com/apps-script/api/reference/rest/v1/File`) } ] } ``` |

| Fields ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |
| `files[]` | ``object (`https://developers.google.com/apps-script/api/reference/rest/v1/File`)`` The list of script project files. One of the files is a script manifest; it must be named "appsscript", must have type of JSON, and include the manifest configurations for the project. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/script.projects`
- `https://www.googleapis.com/auth/script.projects.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).